Trädvy Permalänk
Medlem
Plats
127.0.0.1
Registrerad
Jan 2002

Skumt fel med glibc

Hejsan, jag skulle installera bash3 på en av mina servrar idag via swaret, och körde swaret --upgrade bash. Och 3 installerades till synes utan problem. Dock verkar det ha blivit något konstigt fel med glibc. När jag ska köra i princip alla program får jag följande fel:
~$ su
su
Password:
bash: /lib/libc.so.6: version `GLIBC_2.3.4' not found (required by bash)

Det verkar ha blivit något fel när jag installerade bash(troligen skulle jag installerat glibc först). Så vad kan jag göra nu? Jag försökte su:a med su | zsh och && zsh, fast det gav samma resultat.
Hur ska jag göra för att fixa ?

I distrust governments because I’ve studied history. Ask Joe this question: who does most of the killing? Who does most of the theft? Even the body-count of the worst criminals and terrorists pales in comparison to the death toll the average government inflicts on its own people. And it is not criminals who tax away 5/12ths of my income. - Eric S Raymond
http://www.css3.se

Trädvy Permalänk
Medlem
Registrerad
Nov 2002

su -c /något/annat/skal